Purchased TIDs
Operations to manage purchased TID allocations for entities.
Get list of TIDs from the TID pool.
The Verifone allocated unique id for this site.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9Allocation status of the purchased TID.
Page number for records.
1Example: 1Page size for returned records.
50Example: 50Range name to allocate the TID against PURCHASED scheme.
The field to order by. Valid fields are: createdDate, modifiedDate, status
Purchased TIDs results matching criteria
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
GET /entities/{entityUid}/purchasedTid HTTP/1.1
Host: api.verifone.com
Accept: */*
{
"tids": [
{
"altVfiPoiId": "1004631982",
"createdDate": "2026-01-01T00:00:00.000Z",
"modifiedDate": "2026-01-01T00:00:00.000Z",
"reference": "text",
"status": "ALLOCATED"
}
],
"metadata": {
"totalPages": 1,
"pageNumber": 1,
"pageSize": 50,
"totalItems": 25
}
}Insert an array of purchased TIDs into the TID pool. Its assumed that purchased TIDs are checked for uniqueness in the system. Used by sales/operations.
The Verifone allocated unique id for this site.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9Optional reference
Range name to allocate the TID against PURCHASED scheme.
An array of unique TIDs
1004631982TIDs inserted into pool
No content
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
PUT /entities/{entityUid}/purchasedTid HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 14
[
"1004631982"
]No content
Change allocation status of purchased TID to required status
The Verifone allocated unique id for this site.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9Allocation status of the purchased TID.
Optional reference
Range name to allocate the TID against PURCHASED scheme.
An array of unique TIDs
1004631982TID status changed
No content
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
PATCH /entities/{entityUid}/purchasedTid?status=ALLOCATED HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 14
[
"1004631982"
]No content
Reserve 'çount' number of TIDs from the TID pool. If 'count' is not available 400 is returned.
The Verifone allocated unique id for this site.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9Count of TIDs required from pool.
Range name to allocate the TID against PURCHASED scheme.
Duration in hours to reserve the TID
1Optional reference
Purchased TIDs results matching criteria
An array of unique TIDs
1004631982Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
GET /entities/{entityUid}/purchasedTid/reserve?count=1 HTTP/1.1
Host: api.verifone.com
Accept: */*
[
"1004631982"
]Last updated
Was this helpful?
